Bug 190554 - [MAINTAINER] benchmarks/flowgrind: update to 0.7.1
Summary: [MAINTAINER] benchmarks/flowgrind: update to 0.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-03 06:55 UTC by lars
Modified: 2014-08-04 19:30 UTC (History)
1 user (show)

See Also:


Attachments
flowgrind-0.7.1.patch (2.77 KB, patch)
2014-06-03 06:55 UTC, lars
no flags Details | Diff
Makefile (878 bytes, text/plain)
2014-07-29 14:00 UTC, lars
no flags Details
Makefile with (hopefully) fixed DEPENDS (881 bytes, text/plain)
2014-08-04 12:56 UTC, lars
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lars 2014-06-03 06:55:29 UTC
Created attachment 143319 [details]
flowgrind-0.7.1.patch

- Update to 0.7.1

Generated with FreeBSD Port Tools 1.02 (mode: update, diff: ports)
Comment 1 Thomas Zander freebsd_committer 2014-07-14 20:16:26 UTC
This port needs at least
USE_AUTOTOOLS= aclocal autoconf

Then, autotools are not installed for patch phase but for configure phase, so you cannot call autoreconf in post-patch if autoconf is not a PATCH_DEPENDS.

Trying to call it in pre-configure does not work as well:

===>  Configuring for flowgrind-0.7.1
===>   FreeBSD 10 autotools fix applied to /wrkdirs/usr/ports/benchmarks/flowgrind/work/flowgrind-flowgrind-14b0578/build-aux/config.rpath
cd /wrkdirs/usr/ports/benchmarks/flowgrind/work/flowgrind-flowgrind-14b0578 && /usr/local/bin/autoreconf-2.69 -i
configure.ac:14: error: possibly undefined macro: AC_LIB_RPATH
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf-2.69: /usr/local/bin/autoconf-2.69 failed with exit status: 1
*** Error code 1

Stop.
make: stopped in /usr/ports/benchmarks/flowgrind

Could you have a look?
In general, it is extremely useful to test these ports in a clean environment, e.g. poudriere or a minimal jail with no ports installed.
Comment 2 lars 2014-07-29 14:00:53 UTC
Created attachment 145122 [details]
Makefile
Comment 3 lars 2014-07-29 14:01:21 UTC
The Makefile attached above fixes the issues you identified.
Comment 4 Thomas Zander freebsd_committer 2014-07-30 19:17:07 UTC
Thanks for updating the Makefile, now build completes here successfully, too.
But please check your dependencies. RUN_DEPENDS on a static lib?
Also you are expecting the build process to use the static libs you have defined in BUILD_DEPENDS, but the build scripts select shared libs:

	libwwwapp.so.1 => /usr/local/lib/libwwwapp.so.1 (0x802545000)
	libwwwapp.so.1 => /usr/local/lib/libwwwapp.so.1 (0x802552000)
	libwwwcache.so.1 => /usr/local/lib/libwwwcache.so.1 (0x8039b2000)
	libwwwcache.so.1 => /usr/local/lib/libwwwcache.so.1 (0x8039bf000)
	libwwwcore.so.1 => /usr/local/lib/libwwwcore.so.1 (0x8041cd000)
	libwwwcore.so.1 => /usr/local/lib/libwwwcore.so.1 (0x8041da000)
	libwwwdir.so.1 => /usr/local/lib/libwwwdir.so.1 (0x8037ad000)
	libwwwdir.so.1 => /usr/local/lib/libwwwdir.so.1 (0x8037ba000)
	libwwwfile.so.1 => /usr/local/lib/libwwwfile.so.1 (0x8035a4000)
	libwwwfile.so.1 => /usr/local/lib/libwwwfile.so.1 (0x8035b1000)
	libwwwftp.so.1 => /usr/local/lib/libwwwftp.so.1 (0x80339c000)
	libwwwftp.so.1 => /usr/local/lib/libwwwftp.so.1 (0x8033a9000)
	libwwwgopher.so.1 => /usr/local/lib/libwwwgopher.so.1 (0x803198000)
	libwwwgopher.so.1 => /usr/local/lib/libwwwgopher.so.1 (0x8031a5000)
	libwwwhtml.so.1 => /usr/local/lib/libwwwhtml.so.1 (0x80275d000)
	libwwwhtml.so.1 => /usr/local/lib/libwwwhtml.so.1 (0x80276a000)
	libwwwhttp.so.1 => /usr/local/lib/libwwwhttp.so.1 (0x802d7a000)
	libwwwhttp.so.1 => /usr/local/lib/libwwwhttp.so.1 (0x802d87000)
	libwwwinit.so.1 => /usr/local/lib/libwwwinit.so.1 (0x802343000)
	libwwwinit.so.1 => /usr/local/lib/libwwwinit.so.1 (0x802350000)
	libwwwmime.so.1 => /usr/local/lib/libwwwmime.so.1 (0x802f8d000)
	libwwwmime.so.1 => /usr/local/lib/libwwwmime.so.1 (0x802f9a000)
	libwwwmux.so.1 => /usr/local/lib/libwwwmux.so.1 (0x803dc3000)
	libwwwmux.so.1 => /usr/local/lib/libwwwmux.so.1 (0x803dd0000)
	libwwwnews.so.1 => /usr/local/lib/libwwwnews.so.1 (0x802b72000)
	libwwwnews.so.1 => /usr/local/lib/libwwwnews.so.1 (0x802b7f000)
	libwwwssl.so.1 => /usr/local/lib/libwwwssl.so.1 (0x80213e000)
	libwwwssl.so.1 => /usr/local/lib/libwwwssl.so.1 (0x80214b000)
	libwwwstream.so.1 => /usr/local/lib/libwwwstream.so.1 (0x803bbc000)
	libwwwstream.so.1 => /usr/local/lib/libwwwstream.so.1 (0x803bc9000)
	libwwwtelnet.so.1 => /usr/local/lib/libwwwtelnet.so.1 (0x802970000)
	libwwwtelnet.so.1 => /usr/local/lib/libwwwtelnet.so.1 (0x80297d000)
	libwwwtrans.so.1 => /usr/local/lib/libwwwtrans.so.1 (0x803fc7000)
	libwwwtrans.so.1 => /usr/local/lib/libwwwtrans.so.1 (0x803fd4000)
	libwwwutils.so.1 => /usr/local/lib/libwwwutils.so.1 (0x8043fe000)
	libwwwutils.so.1 => /usr/local/lib/libwwwutils.so.1 (0x80440b000)
	libwwwxml.so.1 => /usr/local/lib/libwwwxml.so.1 (0x801911000)
	libwwwxml.so.1 => /usr/local/lib/libwwwxml.so.1 (0x80191e000)
	libwwwzip.so.1 => /usr/local/lib/libwwwzip.so.1 (0x801f3c000)
	libwwwzip.so.1 => /usr/local/lib/libwwwzip.so.1 (0x801f49000)
	libxmlparse.so.1 => /usr/local/lib/libxmlparse.so.1 (0x801d31000)
	libxmlparse.so.1 => /usr/local/lib/libxmlparse.so.1 (0x801d3e000)
	libxmlrpc.so.3 => /usr/local/lib/libxmlrpc.so.3 (0x8010d6000)
	libxmlrpc.so.3 => /usr/local/lib/libxmlrpc.so.3 (0x8010e3000)
	libxmlrpc.so.3 => /usr/local/lib/libxmlrpc.so.3 (0x801293000)
	libxmlrpc_abyss.so.3 => /usr/local/lib/libxmlrpc_abyss.so.3 (0x80107e000)
	libxmlrpc_client.so.3 => /usr/local/lib/libxmlrpc_client.so.3 (0x800eca000)
	libxmlrpc_client.so.3 => /usr/local/lib/libxmlrpc_client.so.3 (0x800ed7000)
	libxmlrpc_server.so.3 => /usr/local/lib/libxmlrpc_server.so.3 (0x800e79000)
	libxmlrpc_server_abyss.so.3 => /usr/local/lib/libxmlrpc_server_abyss.so.3 (0x800c73000)
	libxmlrpc_util.so.3 => /usr/local/lib/libxmlrpc_util.so.3 (0x8012ea000)
	libxmlrpc_util.so.3 => /usr/local/lib/libxmlrpc_util.so.3 (0x8012f7000)
	libxmlrpc_util.so.3 => /usr/local/lib/libxmlrpc_util.so.3 (0x8014a7000)
	libxmlrpc_xmlparse.so.3 => /usr/local/lib/libxmlrpc_xmlparse.so.3 (0x8014ee000)
	libxmlrpc_xmlparse.so.3 => /usr/local/lib/libxmlrpc_xmlparse.so.3 (0x8014fb000)
	libxmlrpc_xmlparse.so.3 => /usr/local/lib/libxmlrpc_xmlparse.so.3 (0x8016ab000)
	libxmlrpc_xmltok.so.3 => /usr/local/lib/libxmlrpc_xmltok.so.3 (0x8016fb000)
	libxmlrpc_xmltok.so.3 => /usr/local/lib/libxmlrpc_xmltok.so.3 (0x801708000)
	libxmlrpc_xmltok.so.3 => /usr/local/lib/libxmlrpc_xmltok.so.3 (0x8018b8000)
	libxmltok.so.1 => /usr/local/lib/libxmltok.so.1 (0x801b1c000)
	libxmltok.so.1 => /usr/local/lib/libxmltok.so.1 (0x801b29000)

Please ensure that {BUILD,LIB,RUN}_DEPENDS are accurate, then we can commit this. Thanks in advance!
Comment 5 lars 2014-08-04 12:56:04 UTC
Created attachment 145340 [details]
Makefile with (hopefully) fixed DEPENDS

I (think I) fixed the DEPENDS issues in the attached Makefile.
Comment 6 commit-hook freebsd_committer 2014-08-04 19:19:51 UTC
A commit references this bug:

Author: riggs
Date: Mon Aug  4 19:19:04 UTC 2014
New revision: 364037
URL: http://svnweb.freebsd.org/changeset/ports/364037

Log:
  - Update to upstream release 0.7.1
  - Move from launchpad to github
  - Add LICENSE
  - Updat pkg-descr with new description and URL

  PR:		190554
  Submitted by:	Lars Eggert <lars@eggert.org> (maintainer)
  Approved by:	mentors (implicit)

Changes:
  head/benchmarks/flowgrind/Makefile
  head/benchmarks/flowgrind/distinfo
  head/benchmarks/flowgrind/pkg-descr
Comment 7 Thomas Zander freebsd_committer 2014-08-04 19:30:39 UTC
(In reply to lars from comment #5)
> Created attachment 145340 [details]
> Makefile with (hopefully) fixed DEPENDS
> 
> I (think I) fixed the DEPENDS issues in the attached Makefile.

Frankly, when I am comparing the two Makefiles in attachment 145122 [details] and attachment 145340 [details], I am a bit worried.
Those shared libs clearly belong in LIB_DEPENDS.

I have committed a modified version that solves the dependency issues. Please feel free to take a look. Thanks!